Announcement

Collapse
No announcement yet.

csh warning

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • csh warning

    Just to let you know I still get csh warnings with the latest git

    Code:
    dean@linux:~/phoronix-test-suite> ./phoronix-test-suite benchmark universe
    
    ====================================
    CSH
    Possible Package Names: csh, tcsh
    ====================================
    
    The above dependencies should be installed before proceeding. Press any key when you're ready to continue.

  • #2
    The csh warning is because PTS checks for /bin/bsd-csh when using generic-packages. On the distros I've checked it's always /bin/csh

    I.e. this would be better:
    Code:
    diff --git a/pts/distro-xml/generic-packages.xml b/pts/distro-xml/generic-packages.xml
    index fc1854c..3217c3b 100644
    --- a/pts/distro-xml/generic-packages.xml
    +++ b/pts/distro-xml/generic-packages.xml
    @@ -22,7 +22,7 @@
                            <GenericName>csh</GenericName>
                            <Title>CSH</Title>
                            <PossibleNames>csh, tcsh</PossibleNames>
    -                       <FileCheck>/bin/bsd-csh</FileCheck>
    +                       <FileCheck>/bin/csh</FileCheck>
                    </Package>
                    <Package>
                            <GenericName>libpng-development</GenericName>
    Last edited by uncle_fungus; 06-03-2008, 12:48 PM.

    Comment


    • #3
      Should be fixed in git, thanks.
      Michael Larabel
      http://www.michaellarabel.com/

      Comment

      Working...
      X